package com.fzm.common.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Pattern;

/**
 * @author tangtuo
 * @date 2021/6/28 11:12
 */
@Data
@Accessors(chain = true)
@ApiModel("个人认证信息")
@TableName("tb_auth_person")
public class AuthPerson extends BaseEntity {

    @ApiModelProperty("用户id")
    private Integer userId;

    @ApiModelProperty("姓名")
    @NotBlank(message = "姓名不能为空")
    private String name;

    @ApiModelProperty("身份证号码")
    @NotBlank(message = "身份证号码不能为空")
    @Pattern(regexp = "^[1-9]\\d{5}(18|19|([23]\\d))\\d{2}((0[1-9])|(10|11|12))(([0-2][1-9])|10|20|30|31)\\d{3}[0-9Xx]$",
            message = "身份证号码格式有误")
    private String idCard;

    @ApiModelProperty("身份证正面照片(人脸面)")
    @NotBlank(message = "身份证正面照片不能为空")
    private String cardPictureFront;

    @ApiModelProperty("身份证反面照片(国徽面)")
    @NotBlank(message = "身份证反面照片不能为空")
    private String cardPictureBack;


}
