package com.fzm.common.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * @author tangtuo
 * @date 2021/6/30 15:42
 */
@Data
@ApiModel("nft信息")
@Accessors(chain = true)
@TableName("tb_nft")
public class Nft extends BaseEntity {

    @NotNull(message = "类目id不能为空")
    @ApiModelProperty("类目id")
    private Integer categoryId;

    @ApiModelProperty("用户id")
    private Integer userId;

    @ApiModelProperty("发行人地址")
    private String publishAddress;

    @NotBlank(message = "名称不能为空")
    @Length(max = 20, message = "名称最大长度为20")
    @ApiModelProperty("名称")
    private String name;

    @ApiModelProperty("封面")
    private String cover;

    @NotBlank(message = "作者不能为空")
    @Length(max = 20, message = "作者最大长度为20")
    @ApiModelProperty("作者")
    private String author;

    @NotBlank(message = "主题不能为空")
    @ApiModelProperty("主题,多个用逗号,隔开")
    private String theme;

    @NotBlank(message = "简介不能为空")
    @Length(max = 500, message = "简介最大长度为500")
    @ApiModelProperty("简介")
    private String synopsis;

    @ApiModelProperty("文件名")
    private String fileName;

    @ApiModelProperty("文件地址--用户选择不存档的情况下为空")
    private String fileUrl;

    @NotBlank(message = "作品哈希不能为空")
    @ApiModelProperty("文件hash")
    private String fileHash;

    @NotNull(message = "平台存档不能为空")
    @ApiModelProperty("平台存档  0-不存档  1-加密存档")
    private Integer isArchives;

    @ApiModelProperty("授权阅读  0-不需要授权  1-需要授权")
    private Integer isGrant;

    @ApiModelProperty("nft编号")
    private String nftId;

    @ApiModelProperty("nft哈希")
    private String nftHash;

    @ApiModelProperty("nft token")
    private Long tokenId;

    @ApiModelProperty("nft发行时间")
    private Date publishTime;

    @ApiModelProperty("交易转让hash")
    private String transferHash;

    @ApiModelProperty("纪念版nft主键")
    private Integer commemorateId;

    @ApiModelProperty("是否置顶  0-否 1-是")
    private Integer isTop;

    @ApiModelProperty("0-下架 1-上架")
    private Integer status;

    @ApiModelProperty("是否是纪念版nft 0-否 1-是")
    private Integer isCommemorate;

}
