package com.fzm.common.entity.vo;

import cn.hutool.core.date.DateUtil;
import com.fzm.common.entity.Nft;
import com.fzm.common.entity.User;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author tangtuo
 * @date 2021/7/1 10:35
 */
@Data
public class NftCertificateVo {

    @ApiModelProperty("主键")
    private Integer id;

    @ApiModelProperty("名称")
    private String name;

    @ApiModelProperty("发行人")
    private String publisher;

    @ApiModelProperty("发行人地址")
    private String wallet;

    @ApiModelProperty("剧本hash")
    private String fileHash;

    @ApiModelProperty("nft哈希")
    private String nftHash;

    @ApiModelProperty("存证时间")
    private Date publishTime;

    @ApiModelProperty("二维码")
    private String qrCode;

    @ApiModelProperty("剧本审核状态  0-未审核  1-已审核")
    private Integer examineStatus;

    @ApiModelProperty("版权证明: 0-未认证  1-已认证")
    private Integer copyrightStatus;

    public NftCertificateVo(Nft nft, User user, String qrCode) {
        this.name = nft.getName();
        this.fileHash = nft.getFileHash();
        this.nftHash = nft.getNftHash();
        this.id = nft.getId();
        this.publisher = user.getNickname();
        this.publishTime = nft.getPublishTime();
        this.wallet=nft.getPublishAddress();
        this.qrCode = qrCode;
        this.examineStatus = 0;
        this.copyrightStatus = 0;
    }
}
