package com.fzm.common.service.impl;

import cn.hutool.core.collection.CollectionUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fzm.common.entity.Category;
import com.fzm.common.entity.Label;
import com.fzm.common.mapper.CategoryMapper;
import com.fzm.common.mapper.LabelMapper;
import com.fzm.common.service.CategoryService;
import com.fzm.common.service.LabelService;
import org.springframework.cache.annotation.Cacheable;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author tangtuo
 * @date 2021/7/1 14:36
 */
@Service
public class LabelServiceImpl extends ServiceImpl<LabelMapper, Label> implements LabelService {

    @Resource
    private LabelMapper labelMapper;

    @Override
    @Cacheable(value = "label:list", key = "#categoryId", unless = "#result == null")
    public List<Label> listAll(Integer categoryId) {
        QueryWrapper<Label> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("category_id", categoryId);
        List<Label> labels = labelMapper.selectList(queryWrapper);
        return CollectionUtil.isEmpty(labels) ? null : labels;
    }
}
