package com.fzm.portal.controller;

import com.fzm.common.annotation.Authentication;
import com.fzm.common.model.ResponseModel;
import com.fzm.common.utils.OssUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

import javax.annotation.Resource;
import java.io.IOException;
import java.util.Map;

/**
 * @author tangtuo
 * @date 2021/7/13 10:34
 */
@RestController
@RequestMapping("/oss")
@Api(tags = "oss相关")
public class OssController {

    @Resource
    private OssUtil ossUtil;

    @Authentication
    @GetMapping("/policy")
    @ApiOperation("完成oss签名")
    public ResponseModel<Map<String, String>> policy() {
        Map<String, String> policy = ossUtil.policy();
        return ResponseModel.success(policy);
    }

    @Authentication
    @PostMapping("/upload")
    @ApiOperation("普通文件上传")
    public ResponseModel<String> upload(MultipartFile file) throws IOException {
        return ResponseModel.success(ossUtil.putSimpleObject(file));
    }
}
